*,
*:before,
*:after {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}


/* DW Loading */

[dw-loading] {
    position: relative;
}

.dw-loading {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    text-align: center;
    display: none;
}

.dw-loading:before {
    content: '';
    display: inline-block;
    height: 100%;
    vertical-align: middle;
}

.dw-loading.dw-loading-active {
    display: block;
}

.dw-loading.dw-loading-overlay {
    background-color: rgba(255, 255, 255, .8);
    width: 100%;
    height: 100%;
    min-height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
}

.dw-loading>.dw-loading-body {
    display: inline-block;
    vertical-align: middle;
    position: relative;
}

.dw-loading>.dw-loading-body>.dw-loading-spinner {
    position: relative;
}

.dw-loading>.dw-loading-body>.dw-loading-text {
    position: relative;
    top: 25px;
    font-weight: 500;
    font-size: 11px;
    text-shadow: 0 0 2px rgb(255, 255, 255);
}


/* Tooltip */

.has-tip {
    border-bottom: none!important;
}

.has-tip:hover {
    border-bottom: none!important;
}

.cursor {
    cursor: pointer;
}

.center {
    display: block;
    margin-left: auto;
    margin-right: auto;
}


/* Sticky Footer */

.site {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.site-header,
.site-footer {
    flex: none;
}

.site-content {
    flex: 1 0 auto;
    padding: 0;
    width: 100%;
}

.hideInfoPanel,
.hide-info-panel {
    display: none;
}

.labelFloatingInsideInput {
    float: right;
    margin-top: -56px;
}